DH_SODEPS(1)

NAME
dh_sodeps - generate library dependencies for development *.so symlinks

SYNOPSIS
dh_sodeps [debhelper options] [-Vversioninfo]

DESCRIPTION
dh_sodeps is a helper program that generates library dependencies for *.so symlinks that are typically found in the library development packages.

It basically looks for usr/lib/*.so in the package build directory, finds all local arch specific packages that actually contain targets of those symlinks and adds dependencies on the discovered packages to the "so:Depends" substitution variable. Dependencies are strict by default, i.e. (=${binary:Version}) if the package containing *.so is arch specific or (>=${source:Version}) if it is arch independent.

OPTIONS

-Vversioninfo, --version-info=versioninfo
    Use the specified version information for dependencies. If this option is not specified, dh_sodeps will generate a strict dependency as explained above. Please note that you don't need to enclose the value in brackets. dh_sodeps will do this automatically.

-Xitem, --exclude item
    Do not calculate dependencies for *.so files that contain "item" anywhere in their path/filename. You may use this option multiple times to build up a list of things to exclude.

SEE ALSO
debhelper(7)

AUTHOR
Modestas Vainius <modax@debian.org>